PUT api/v1/contacts/{personId}?agencyId={agencyId}

Edit contact details for the agency

Request Information

URI Parameters

NameDescriptionTypeAdditional information
personId

integer

Required

agencyId

integer

Required

Body Parameters

ContactDetailsModel
NameDescriptionTypeAdditional information
Id

integer

Required

FirstName

string

Required

LastName

string

Required

Email

string

Required

DateOfBirth

date

None.

Gender

string

None.

JobTitle

string

None.

Company

string

None.

Status

integer

None.

Addresses

Collection of AddressViewModel

None.

Phones

Collection of PhoneViewModel

None.

Groups

Collection of GroupModel

None.

Notes

Collection of ContactNoteModel

None.

Request Formats

application/json, text/json, text/html

Sample:
{
  "id": 1,
  "firstName": "sample string 2",
  "lastName": "sample string 3",
  "email": "sample string 4",
  "dateOfBirth": "2026-06-25T13:44:38.7484358+00:00",
  "gender": "sample string 5",
  "jobTitle": "sample string 6",
  "company": "sample string 7",
  "status": 8,
  "addresses": [
    {
      "suburb": "sample string 1",
      "state": "sample string 2",
      "country": "sample string 3",
      "id": 4,
      "street": "sample string 5",
      "postcode": "sample string 6",
      "suburbId": 7,
      "stateId": 8,
      "isMailingAddress": true
    },
    {
      "suburb": "sample string 1",
      "state": "sample string 2",
      "country": "sample string 3",
      "id": 4,
      "street": "sample string 5",
      "postcode": "sample string 6",
      "suburbId": 7,
      "stateId": 8,
      "isMailingAddress": true
    }
  ],
  "phones": [
    {
      "type": "sample string 1",
      "id": 2,
      "number": "sample string 3",
      "typeId": 4
    },
    {
      "type": "sample string 1",
      "id": 2,
      "number": "sample string 3",
      "typeId": 4
    }
  ],
  "groups": [
    {
      "id": 1,
      "name": "sample string 2",
      "description": "sample string 3"
    },
    {
      "id": 1,
      "name": "sample string 2",
      "description": "sample string 3"
    }
  ],
  "notes": [
    {
      "personId": 1,
      "authorAgencyId": 1,
      "authorName": "sample string 2",
      "note": {
        "id": 1,
        "contactAgency": "sample string 2",
        "contactCentre": "sample string 3",
        "date": "2026-06-25T13:44:38.7484358+00:00",
        "noteData": "sample string 4",
        "communicationId": 5
      }
    },
    {
      "personId": 1,
      "authorAgencyId": 1,
      "authorName": "sample string 2",
      "note": {
        "id": 1,
        "contactAgency": "sample string 2",
        "contactCentre": "sample string 3",
        "date": "2026-06-25T13:44:38.7484358+00:00",
        "noteData": "sample string 4",
        "communicationId": 5
      }
    }
  ]
}

application/xml, text/xml

Sample:
<ContactDetailsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
  <Addresses>
    <AddressViewModel>
      <Id>4</Id>
      <IsMailingAddress>true</IsMailingAddress>
      <Postcode>sample string 6</Postcode>
      <StateId>8</StateId>
      <Street>sample string 5</Street>
      <SuburbId>7</SuburbId>
      <Country>sample string 3</Country>
      <State>sample string 2</State>
      <Suburb>sample string 1</Suburb>
    </AddressViewModel>
    <AddressViewModel>
      <Id>4</Id>
      <IsMailingAddress>true</IsMailingAddress>
      <Postcode>sample string 6</Postcode>
      <StateId>8</StateId>
      <Street>sample string 5</Street>
      <SuburbId>7</SuburbId>
      <Country>sample string 3</Country>
      <State>sample string 2</State>
      <Suburb>sample string 1</Suburb>
    </AddressViewModel>
  </Addresses>
  <Company>sample string 7</Company>
  <DateOfBirth>2026-06-25T13:44:38.7484358+00:00</DateOfBirth>
  <Email>sample string 4</Email>
  <FirstName>sample string 2</FirstName>
  <Gender>sample string 5</Gender>
  <Groups>
    <GroupModel>
      <Description>sample string 3</Description>
      <Id>1</Id>
      <Name>sample string 2</Name>
    </GroupModel>
    <GroupModel>
      <Description>sample string 3</Description>
      <Id>1</Id>
      <Name>sample string 2</Name>
    </GroupModel>
  </Groups>
  <Id>1</Id>
  <JobTitle>sample string 6</JobTitle>
  <LastName>sample string 3</LastName>
  <Notes>
    <ContactNoteModel>
      <AuthorAgencyId>1</AuthorAgencyId>
      <AuthorName>sample string 2</AuthorName>
      <Note>
        <CommunicationId>5</CommunicationId>
        <ContactAgency>sample string 2</ContactAgency>
        <ContactCentre>sample string 3</ContactCentre>
        <Date>2026-06-25T13:44:38.7484358+00:00</Date>
        <Id>1</Id>
        <NoteData>sample string 4</NoteData>
      </Note>
      <PersonId>1</PersonId>
    </ContactNoteModel>
    <ContactNoteModel>
      <AuthorAgencyId>1</AuthorAgencyId>
      <AuthorName>sample string 2</AuthorName>
      <Note>
        <CommunicationId>5</CommunicationId>
        <ContactAgency>sample string 2</ContactAgency>
        <ContactCentre>sample string 3</ContactCentre>
        <Date>2026-06-25T13:44:38.7484358+00:00</Date>
        <Id>1</Id>
        <NoteData>sample string 4</NoteData>
      </Note>
      <PersonId>1</PersonId>
    </ContactNoteModel>
  </Notes>
  <Phones>
    <PhoneViewModel>
      <Id>2</Id>
      <Number>sample string 3</Number>
      <TypeId>4</TypeId>
      <Type>sample string 1</Type>
    </PhoneViewModel>
    <PhoneViewModel>
      <Id>2</Id>
      <Number>sample string 3</Number>
      <TypeId>4</TypeId>
      <Type>sample string 1</Type>
    </PhoneViewModel>
  </Phones>
  <Status>8</Status>
</ContactDetailsModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.